VisualEditor: Allow users to set/edit __DISAMBIG__ status in the page meta-data panel
Closed, ResolvedPublic

bzimport set Reference to bz61073.
Jdforrester-WMF created this task.Via LegacyFeb 8 2014, 12:20 AM
Krenair added a comment.Via ConduitApr 22 2014, 12:34 AM

Looks like we need to try to detect the Disambiguation extension somehow...

Krenair added a comment.Via ConduitApr 29 2014, 12:19 PM

I guess we could query action=paraminfo&querymodules=querypage and look for "DisambiguationPages" in data.paraminfo.querymodules[0].parameters[0].type

Would prefer not to though. Might have to pass whether or not Disambiguation is there via paction=parse (ugh)

gerritbot added a comment.Via ConduitApr 29 2014, 12:44 PM

Change 130328 had a related patch set uploaded by Alex Monk:
Allow users to set whether a page is for Disambiguation or not

https://gerrit.wikimedia.org/r/130328

gerritbot added a comment.Via ConduitMay 12 2014, 11:22 PM

Change 133037 had a related patch set uploaded by Alex Monk:
Allow VE users to set whether a page is for Disambiguation or not

https://gerrit.wikimedia.org/r/133037

gerritbot added a comment.Via ConduitMay 29 2014, 12:33 AM

Change 130328 merged by jenkins-bot:
Allow extensions to add extra meta item checkboxes to the page settings dialog

https://gerrit.wikimedia.org/r/130328

gerritbot added a comment.Via ConduitJun 9 2014, 7:20 PM

Change 133037 merged by jenkins-bot:
Allow VisualEditor users to set if a page whether a Disambiguation

https://gerrit.wikimedia.org/r/133037

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.